メインコンテンツへスキップ
PATCH
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
clients
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.Clients.UpdateAsync(
            id: "id",
            request: new List<UpdateEnabledClientConnectionsRequestContentItem>(){
                new UpdateEnabledClientConnectionsRequestContentItem {
                    ClientId = "client_id",
                    Status = true
                },
            }
        );
    }

}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

The id of the connection to modify

ボディ

Minimum array length: 1
client_id
string<client-id>
必須

The client_id of the client whose status will be changed. Note that the limit per PATCH request is 50 clients.

status
boolean
必須

Whether the connection is enabled or not for this client_id

レスポンス

Success